package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesSpeParam;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesWorkOrderExt;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;


/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface ISpeParamService {

    /**
     * 新增
     *
     * @param speParam
     * @return
     */
    MesSpeParam insert(MesSpeParam speParam);

    /**
     * 修改
     *
     * @param speParam
     * @return
     */
    void update(MesSpeParam speParam);

    /**
     * 查询
     *
     * @param speParam
     * @param pager
     * @return
     */
    ListPager<MesSpeParam> queryByPager(MesSpeParam speParam, Pager pager);

    List<String> queryCell(String workCenterCode, String organizeCode);


    List<String> queryParamNo(String workCenterCode, String organizeCode, String workCellCode);

    List<MesWorkOrderExt> queryWorkOrder(String workCenterCode, String organizeCode);




    /**
     * 转变集团检查更新
     * 新增
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateShiftGroupCheck(List<MesSpeParam> details);

    /**
     * 质量检查更新
     * 修改
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateQualityCheck(List<MesSpeParam> details);




}
